> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Receipts

> This endpoint describes the receipts in Thanx.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField query="user_id" type="string">
  User ID. Note: the bearer token will be used to determine which user's
  receipts are being requested when the request is made by a logged in user.
</ParamField>

<ParamField query="merchant_id" type="string">
  Merchant ID
</ParamField>

<Snippet file="pagination/params.mdx" />

### Response

<Snippet file="entities/receipt.mdx" />

<Snippet file="pagination/response.mdx" />

<RequestExample>
  ```bash Get Receipts theme={null}
  curl https://api.thanxsandbox.com/receipts \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "receipts": [
      {
        "id": "92b7b0dac4",
        "user_id": "weorufsdf",
        "merchant_id": "werouf",
        "state": "pending",
        "rejection_text": null,
        "amount": 13.45,
        "payment_type": "cash",
        "purchased_at": "2020-09-15T00:52:10.655+00:00",
        "submitted_at": "2020-09-15T00:55:11.876+00:00",
        "user_comments": "credit card reader was not working",
        "card_id": null,
        "image": {
          "small": "https://d1uv7brpxddy46.cloudfront.net/images/363/thumbnail/thumbnail-612c5e1821440637c0137be46d141e07.jpg?1604507010",
          "large": "https://d1uv7brpxddy46.cloudfront.net/images/363/medium/medium-612c5e1821440637c0137be46d141e07.jpg?1604507010",
          "default": "https://d1uv7brpxddy46.cloudfront.net/images/363/mobile/mobile-612c5e1821440637c0137be46d141e07.jpg?1604507010"
        }
      }
    ]
  }
  ```
</ResponseExample>
